using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Performance
{
   public class Rule1805
    {
       private int orderId;

       // このコンストラクタは CA1805 に違反しています。
       public Rule1805()
       {
           this.orderId = 0;
       }

       public int OrderId
       {
           get
           {
               return this.orderId;
           }
           set
           {
               this.orderId = value;
           }
       }
    }
}
